﻿.header-left {
    display: flex;
    flex-direction: column;
    color: #124265;
    border-left:solid #085c87 0.4rem;
    padding-left:10px;
}

.dept-name {
    font-size: 1rem; /* smaller text */
   
    color: #007bff; /* bootstrap blue */
 }
.title-line {
    display: flex;
     gap: 5px; /* space between icon and text */
    font-weight: 500; /* optional, make the title a bit bolder */
}
.header-right {
    display: flex;
    flex-wrap: wrap; /* allow buttons to move to 2 lines on mobile */
    gap: 10px;
}
.card-header-Wide {
    padding-left: 1.3rem;
    padding-right: 4rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 1.5rem;
    font-weight: bold;
    background-color: white;
    border-bottom: 2px solid #f8f8f8;
  
    margin: 0.7rem;
    color:#073851;
}
.btn-cardclose-Wide {
    font-size: 1.1rem;
    background-color: #e4f0f6;
    color: #212529;
    border: none;
    border-radius: 0.3rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    font-weight:500;
}
.btn-icon {
    color: white; 
    margin-right: 0.5rem;
}
.btn-icon-close {
    color: black;
    margin-right: 0.5rem;
}
.card-head-btn {
    font-size: 1.1rem;
    background-color: #085c87 !important;
    color: white;
    border: none;
    border-radius: 0.3rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    font-weight: 500;
}

.input-container {
    position: relative;
    margin-top: 20px;
}

.top-left-label {
    position: absolute;
    top: -10px;
    left: 10px;
    font-size: 0.8rem;
    padding: 0 4px;
    pointer-events: none;
    /* This removes the border line behind text completely */
 color:#515151;
    background-color: white;
}

.custom-input {
    padding-top: 18px; /* prevent text overlap */
    background-color: #f8f9fa; /* example */
}
.headericon {
    color: #d7d7d7;
}

.btn_footer {
    display: inline-block;
    font-weight: 400;
    line-height: 1;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: #817f7f;
    border: 1px solid transparent;
    padding: .5rem .7rem;
    font-size: 1.1rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out
}
.container-fluid2 {
    position: fixed;
    width: 100%;
    height: 100vh;
    color: #fff;
    display: block;
    overflow-y: auto;
    align-content: center;
    align-items: center;
    justify-items: center;
    justify-content: center;
}
.center-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.text-blue{
    color:#084885;
}
.text-orange {
    color: #d73804;
}
.invalid-feedback {
    background-color: red;
}
.gree {
    border: solid;
    border-color: greenyellow; 
    border-width: 1px;
 
}
 
.invalid {
    border: solid;
    border-color: red;
    border-width: 1px;
 
}

/* Mark input boxes that gets an error on validation: */
select.invalid {
    border: solid;
    border-color: red;
    border-width: 1px;
}

/*input.invalid {
    border: solid;
    border-color: red;
    border-width: 1px;
}*/

 .wraper {
    display: flex;
    flex-direction: row;
}
@font-face {
    font-family: 'roboto-regular';
    src: url('fonts/roboto-regular.ttf') format('truetype');
}
@font-face {
    font-family: 'roboto-thin';
    src: url('fonts/roboto-thin.ttf') format('truetype');
}
@font-face {
    font-family: 'roboto-black';
    src: url('fonts/roboto-black.ttf') format('truetype');
}
@font-face {
    font-family: 'roboto-bold';
    src: url('fonts/roboto-bold.ttf') format('truetype');
}
.header1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #eeeeee !important;
    /*background-color: #085c87;*/
    color: #575757;
    
    font-size: 1rem;
    font-family: roboto-regular;
    border-bottom: solid #c9c9c9 0.01rem;
}
.headerlogin {
    padding:18px;
    display: flex;
    justify-content: space-between;
    align-items: center; 
    /*background-color: #085c87;*/
  
}
 .header_ {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
    background-color: white;
    z-index: 999;
    width: 100%;
    /* margin-left: 200px;*/
    align-items: center;
    padding: 0px;
    z-index: 999;
}

 

.wraper {
    display: flex;
    flex-direction: row;
    height: 100vh;
  
 
} 

 

.bg-back {
    background-color: #f5f5f5 !important;
}



.sidebar-text {
    padding: 4px;
    background-color: #312e2e;
    height: 60px;
    width: 200px;
    display: flex;
    color: white;
    align-items: center;
    justify-content: center;
    font-size: 1.6rem;
    -webkit-transition-duration: 0.6s;
    -moz-transition-duration: 0.6s;
    -o-transition-duration: 0.6s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: linear;
    -moz-transition-timing-function: linear;
    -o-transition-timing-function: linear;
}

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
 
    width: 233px;
    height: 100vh;
    background-color: white;
    color: #fff;
    display: block;
    overflow-y: auto;
}

.sidbar-icon {
    font-size: 1.3rem;
    margin-left: 5px;
}

.Slide-Tag {
    font-size: 1rem;
    font-family: Calibri;
}
.main-content {
    margin-top: 120px;
  /*  margin-left: 233px;*/
    padding: 6px;
 
    width: 100%;
    height: 100vh;
    scroll-behavior: auto;
}
.main-content2 {
    margin-top:  0px;
  
    width: 100%;
    height: 100vh;
    scroll-behavior: auto;
}

.profile-icon2 {
    width: 90px;
    border-radius: 50%;
    border: 1px solid #cccccc;
    padding: 0.01rem;
    height: 90px;
    margin-top: 90px;
  
}
.profile-icon3 {
    width: 90px;
    border-radius: 50%;
    border: 1px solid #cccccc;
    padding: 0.01rem;
    height: 90px;
 }
@media (max-width: 768px) {

    .btn-cardclose-Wide {
        font-size: 0.8rem;
        background-color: #e4f0f6;
        color: #212529;
        border: none;
        border-radius: 0.3rem;
        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 0.2rem;
        padding-bottom: 0.2rem;
        font-weight: 500;
    }

    .btn-icon {
        color: white;
        margin-right: 0.5rem;
    }

    .btn-icon-close {
        color: black;
        margin-right: 0.5rem;
    }

    .card-head-btn {
        font-size: 0.8rem;
        background-color: #085c87 !important;
        color: white;
        border: none;
        border-radius: 0.3rem;
        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 0.3rem;
        padding-bottom: 0.3rem;
        font-weight: 500;
    }

    .card-header-Wide {
        padding-left: 0.7rem;
        padding-right: 1.5rem;
        padding-top: 1rem;
        padding-bottom: 1rem;
        font-size: 1.23rem;
        font-weight: bold;
        background-color: white;
        border-bottom: 2px solid #f8f8f8;
        margin: 0.3rem;
        color: #073851;
    }

    .header-left {
        align-items: start;
        margin-bottom: 10px;
        border-left: solid #085c87 0.3rem;
    }

    .dept-name {
        margin-left: 0; /* centered on mobile */
    }

    .header-right {
        display: flex;
        justify-content: space-between;
        flex-wrap: nowrap;
        width: 100%;
    }
    /*.profile-icon2 {
        -webkit-transition-duration: 0.6s;
        -moz-transition-duration: 0.6s;
        -o-transition-duration: 0.6s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: linear;
        -moz-transition-timing-function: linear;
        -o-transition-timing-function: linear;
        transition-timing-function: linear;
        visibility:hidden;
        display:none;*/
    /*    width: 80px;
        border-radius: 50%;
        border: 0.01px solid #e1e0e0;
        padding: 0.01rem;
        height: 80px;
        margin-top: 90px;*/
    /*}*/
    .sidbar-icon {
        visibility: hidden;
    }

    .Slide-Tag {
        font-size: 1rem;
        font-family: Calibri;
        visibility: hidden;
        transition: width 0.3s ease;
    }



    .sidebar-text {
        visibility: hidden;
        -webkit-transition-duration: 0.6s;
        -moz-transition-duration: 0.6s;
        -o-transition-duration: 0.6s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: linear;
        -moz-transition-timing-function: linear;
        -o-transition-timing-function: linear;
        transition-timing-function: linear;
    }

    .sidebar {
        -webkit-transition-duration: 0.6s;
        -moz-transition-duration: 0.6s;
        -o-transition-duration: 0.6s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: linear;
        -moz-transition-timing-function: linear;
        -o-transition-timing-function: linear;
        transition-timing-function: linear;
        width:  0px;
        z-index: 999;
        left:-10px;
        display: block;
        background-color:white;
    }



    .main-content {
        margin-top: 120px;
        padding: 3px;
        margin-left: 0px;
        -webkit-transition-duration: 0.6s;
        -moz-transition-duration: 0.6s;
        -o-transition-duration: 0.6s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: linear;
        -moz-transition-timing-function: linear;
        -o-transition-timing-function: linear;
        transition-timing-function: linear;
    }
    .main-content2 {
        padding: 3px;
        margin-left: 0px;
        -webkit-transition-duration: 0.6s;
        -moz-transition-duration: 0.6s;
        -o-transition-duration: 0.6s;
        transition-duration: 0.3s;
        -webkit-transition-timing-function: linear;
        -moz-transition-timing-function: linear;
        -o-transition-timing-function: linear;
        transition-timing-function: linear;
    }
} 